Bug 109142 - Web Inspector: it should be sort by "transferSize" in Network panel
Summary: Web Inspector: it should be sort by "transferSize" in Network panel
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-06 23:53 PST by pdeng6
Modified: 2013-02-11 02:25 PST (History)
9 users (show)

See Also:


Attachments
Network Panel: sort by size problem (238.98 KB, image/png)
2013-02-06 23:53 PST, pdeng6
no flags Details
Patch (1.63 KB, patch)
2013-02-07 00:01 PST, pdeng6
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pdeng6 2013-02-06 23:53:36 PST
Created attachment 187001 [details]
Network Panel: sort by size problem

As shown in attachment, resource items sort by size doesn't work well at the first glance, actually they are sorted by the second row of sizeCell "resourceSize".
I think sort by "transferSize" would be better, since "transferSize" is striking in panel, and the real download size.
Comment 1 pdeng6 2013-02-07 00:01:34 PST
Created attachment 187002 [details]
Patch
Comment 2 WebKit Review Bot 2013-02-11 02:25:41 PST
Comment on attachment 187002 [details]
Patch

Clearing flags on attachment: 187002

Committed r142443: <http://trac.webkit.org/changeset/142443>
Comment 3 WebKit Review Bot 2013-02-11 02:25:44 PST
All reviewed patches have been landed.  Closing bug.